
Auto Multiple Choice - Bug # 570: Fenêtre non dimensionnable et plein écran impossible sous 
windows (WSL)

Status: Closed Priority: Low
Author: Nicolas Roux Category: Graphical Interface
Created: 06/05/2018 Assignee:
Updated: 02/08/2021 Due date:
Description: La fenêtre principale peut déplacer mais uniquement vers le bas et impossible de la dimensionner et de la 

mettre en plein écran.

History
06/05/2018 10:04 pm - Alexis Bienvenüe
Est-ce que les autres fenêtres ont le même problème ?

06/06/2018 07:14 am - Nicolas Roux
Alexis Bienvenüe wrote:
> Est-ce que les autres fenêtres ont le même problème ?

Idem avec la fenêtre de calage. Pas de pb avec les autres, je n'ai pas tout testé ce matin, je continue tout à l'heure.

06/06/2018 07:40 am - Alexis Bienvenüe
Comment cela se passe-t-il exactement ? Le curseur de la souris se transforme-t-il au niveau du coin inférieur droit de la fenêtre pour montrer la 
possibilité de changer de taille ? Est-ce qu'il y a des messages d'erreur dans la console ?

06/06/2018 07:54 am - Nicolas Roux
Alexis Bienvenüe wrote:
> Comment cela se passe-t-il exactement ? Le curseur de la souris se transforme-t-il au niveau du coin inférieur droit de la fenêtre pour montrer la 
possibilité de changer de taille ? Est-ce qu'il y a des messages d'erreur dans la console ?

Le coin inférieur droit apparaît. Quand je clique, je peux réduire mais pas augmenter. Je ne vois pas de message d'erreur.
J'ai un message d'erreur après avoir appuyé sur le bouton avec double-flèche pour cacher les propriétés, toujours dans la fenêtre de calage:
Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any 
.service files

06/06/2018 08:03 am - Alexis Bienvenüe
Quelle est la version d'AMC utilisée ?
Pouvez-vous essayer d'éditer le fichier @/usr/share/perl5/AMC/Gui/WindowSize.pm@ de la manière suivante et voir si cela change quelque chose ?
<pre>
sub size_monitor {
}

sub size_monitor_old {
</pre>
(pour faire en sorte que @size_monitor@ ne fasse rien…)

06/06/2018 08:48 am - Nicolas Roux
Alexis Bienvenüe wrote:
> Quelle est la version d'AMC utilisée ?
> Pouvez-vous essayer d'éditer le fichier @/usr/share/perl5/AMC/Gui/WindowSize.pm@ de la manière suivante et voir si cela change quelque chose ?
> [...]
> (pour faire en sorte que @size_monitor@ ne fasse rien…)
J'utilise la version 1.4 beta 2, je n'ai pas les droits sur le fichier pour le modifier, je n'y connais rien, je vais regarder comment faire.

06/06/2018 08:49 am - Alexis Bienvenüe
> je n'ai pas les droits sur le fichier pour le modifier
Oui il faut être root. Vous pouvez essayer quelque chose comme 

  sudo nano /usr/share/perl5/AMC/Gui/WindowSize.pm

06/06/2018 10:30 am - Nicolas Roux
Alexis Bienvenüe wrote:
> > je n'ai pas les droits sur le fichier pour le modifier
> Oui il faut être root. Vous pouvez essayer quelque chose comme 
> 
>   sudo nano /usr/share/perl5/AMC/Gui/WindowSize.pm

La modification du fichier est faite, par contre aucun changement sur la fenêtre de calage.

06/06/2018 10:41 am - Alexis Bienvenüe
Avez-vous le même problème avec la fenêtre de @gedit@ ? Ou avec les fenêtres d'une démo perl-gtk3 (à prendre par exemple ici : 
https://github.com/dave-theunsub/gtk3-perl-demos) ?

06/06/2018 10:47 am - Nicolas Roux
Alexis Bienvenüe wrote:
> Avez-vous le même problème avec la fenêtre de @gedit@ ? Ou avec les fenêtres d'une démo perl-gtk3 (à prendre par exemple ici : 
https://github.com/dave-theunsub/gtk3-perl-demos) ?

Avec Nautilus: aucun pb.
Avec gedit: je peux dimensionner, par contre le bouton plein écran ne fonctionne pas.
Je n'ai pas testé avec la fenêtre @gedit@.

06/06/2018 12:03 pm - Nicolas Roux
Je dis un truc et son contraire...
Test non fait avec la démo (et non gedit)... je n’ai pas su quoi faire.

06/06/2018 05:19 pm - Nicolas Roux
Donc pour être plus clair:
avec Nautilus: aucun pb;
avec gedit: je peux dimensionner, par contre le bouton plein écran ne fonctionne pas;
avec la démo perl-gtk3: pas fait.

06/08/2018 08:03 am - Alexis Bienvenüe
Essayez de télécherger un des fichiers de la démo perl-gtk3, et de l'exécuter depuis un terminal pour voir ce que ça donne :

  perl programme-test.pl

06/11/2018 01:40 pm - Nicolas Roux
Bonjour, j'ai testé avec 3 fichiers .
J'obtiens 3 fois la même erreur:
syntax error at /mnt/d/appwindow.pl line 10, near "<"
Excessively long <> operator at /mnt/d/appwindow.pl line 21.
06/11/2018 02:47 pm - Alexis Bienvenüe
> J'obtiens 3 fois la même erreur:
Il me semble que vous n'avez pas téléchargé le code brut, mais un code HTML affichant le code… Essayez avec les commandes suivantes dans un 
terminal ubuntu :
<pre>
cd
wget https://raw.githubusercontent.com/dave-theunsub/gtk3-perl-demos/master/appwindow.pl
perl appwindow.pl
</pre>

06/11/2018 02:58 pm - Nicolas Roux
Nouvelles erreurs...

syntax error at appwindow.pl line 2, near "html>"
Unknown regexp modifier "/t" at appwindow.pl line 5, at end of line
Unknown regexp modifier "/y" at appwindow.pl line 5, at end of line
Unknown regexp modifier "/e" at appwindow.pl line 5, at end of line
Unrecognized character \xC3; marked by <-- HERE after s accedez <-- HERE near column 42 at appwindow.pl line 9.

06/11/2018 03:10 pm - Alexis Bienvenüe
wget a marché ? Il semble que le fichier n'est toujours pas le bon…

06/11/2018 05:31 pm - Nicolas Roux
J'ai recommencé depuis chez moi, probablement un pb de proxy au boulot.
Ca marche, j'ai une fenêtre, je peux la déplacer, l'agrandir, la mettre en plein écran sans soucis.

09/12/2018 09:44 am - Alexis Bienvenüe
- Target version deleted (1.4.0)

02/08/2021 11:26 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
